[PPL-devel] [GIT] ppl/w3ppl(master): Avoid building everything just to update the web site.

Roberto Bagnara bagnara at cs.unipr.it
Sat Apr 18 07:42:12 CEST 2009


Module: ppl/w3ppl
Branch: master
Commit: 19118e2bf0c63dd65dda3a212f09671df283c7a3
URL:    http://www.cs.unipr.it/git/gitweb.cgi?p=ppl/w3ppl.git;a=commit;h=19118e2bf0c63dd65dda3a212f09671df283c7a3

Author: Roberto Bagnara <bagnara at cs.unipr.it>
Date:   Sat Apr 18 07:41:54 2009 +0200

Avoid building everything just to update the web site.

---

 bin/update_web_site |  178 +++++++++++++++++++++++++++++++++------------------
 1 files changed, 115 insertions(+), 63 deletions(-)

diff --git a/bin/update_web_site b/bin/update_web_site
index 24e030b..e241dee 100755
--- a/bin/update_web_site
+++ b/bin/update_web_site
@@ -163,72 +163,124 @@ autoreconf
 cd $top_dir/build
 $top_dir/ppl/configure --enable-interfaces=all --enable-instantiations=all
 
-# Make the library.
-make -j 8 >&MAKELOG.library
-
-# # Build the ppl.hh include file.
-# cd utils
-# make
-# cd ../src
-# make ppl.hh >MAKELOG.ppl.hh 2>&1
-# if [ $? -ne 0 ]
-# then
-#     echo "*** Cannot build ppl.hh." >>$notification
-#     echo "*** Build log follows:" >>$notification
-#     cat MAKELOG.ppl.hh >>$notification
-#     maybe_notify_developers_and_exit
-# fi
-# cd ../interfaces
-# make ppl_interface_instantiations.m4
-# cd C
-# make ppl_c.h >MAKELOG.ppl_c.h 2>&1
-# if [ $? -ne 0 ]
-# then
-#     echo "*** Cannot build ppl_c.h." >>$notification
-#     echo "*** Build log follows:" >>$notification
-#     cat MAKELOG.ppl_c.h >>$notification
-#     maybe_notify_developers_and_exit
-# fi
-# cd ../OCaml
-# make ppl_ocaml.mli >MAKELOG.ppl_ocaml.mli 2>&1
-# if [ $? -ne 0 ]
-# then
-#     echo "*** Cannot build ppl_ocaml.mli." >>$notification
-#     echo "*** Build log follows:" >>$notification
-#     cat MAKELOG.ppl_ocaml.mli >>$notification
-#     maybe_notify_developers_and_exit
-# fi
-# cd ../Prolog
-# make ppl_prolog_domains.hh >MAKELOG.ppl_prolog_domains.hh 2>&1
-# if [ $? -ne 0 ]
-# then
-#     echo "*** Cannot build ppl_prolog_domains.hh." >>$notification
-#     echo "*** Build log follows:" >>$notification
-#     cat MAKELOG.ppl_prolog_domains.hh >>$notification
-#     maybe_notify_developers_and_exit
-# fi
-# make ppl_prolog_domains.cc.stamp >MAKELOG.ppl_prolog_domains.cc.stamp 2>&1
-# if [ $? -ne 0 ]
-# then
-#     echo "*** Cannot build ppl_prolog_domains.cc.stamp." >>$notification
-#     echo "*** Build log follows:" >>$notification
-#     cat MAKELOG.ppl_prolog_domains.cc.stamp >>$notification
-#     maybe_notify_developers_and_exit
-# fi
-# make Prolog_configured_interface.dox \
-#     >MAKELOG.Prolog_configured_interface.dox 2>&1
-# if [ $? -ne 0 ]
-# then
-#     echo "*** Cannot build Prolog_configured_interface.dox." >>$notification
-#     echo "*** Build log follows:" >>$notification
-#     cat MAKELOG.Prolog_configured_interface.dox >>$notification
-#     maybe_notify_developers_and_exit
-# fi
+# Make the header file ppl-config.h (needed by ppl.hh).
+cd $top_dir/build
+make ppl-config.h >MAKELOG.ppl-config.h 2>&1
+if [ $? -ne 0 ]
+then
+    echo "*** Cannot build ppl-config.h." >>$notification
+    echo "*** Build log follows:" >>$notification
+    cat MAKELOG.ppl-config.h >>$notification
+    maybe_notify_developers_and_exit
+fi
+
+# Make the utility program build_header (needed by ppl.hh).
+cd $top_dir/build/utils
+make build_header >MAKELOG.build_header 2>&1
+if [ $? -ne 0 ]
+then
+    echo "*** Cannot build build_header." >>$notification
+    echo "*** Build log follows:" >>$notification
+    cat MAKELOG.build_header >>$notification
+    maybe_notify_developers_and_exit
+fi
+
+# Make the ppl.hh header file.
+cd $top_dir/build/src
+make ppl.hh >MAKELOG.ppl.hh 2>&1
+if [ $? -ne 0 ]
+then
+    echo "*** Cannot build ppl.hh." >>$notification
+    echo "*** Build log follows:" >>$notification
+    cat MAKELOG.ppl.hh >>$notification
+    maybe_notify_developers_and_exit
+fi
+
+# Make the m4 source file needed by all language interfaces.
+cd $top_dir/build/interfaces
+make ppl_interface_instantiations.m4 >MAKELOG.ppl_interface_instantiations.m4 2>&1
+if [ $? -ne 0 ]
+then
+    echo "*** Cannot build ppl_interface_instantiations.m4." >>$notification
+    echo "*** Build log follows:" >>$notification
+    cat MAKELOG.ppl_interface_instantiations.m4 >>$notification
+    maybe_notify_developers_and_exit
+fi
+
+# C interface
+cd $top_dir/build/interfaces/C
+make ppl_c.h >MAKELOG.ppl_c.h 2>&1
+if [ $? -ne 0 ]
+then
+    echo "*** Cannot build ppl_c.h." >>$notification
+    echo "*** Build log follows:" >>$notification
+    cat MAKELOG.ppl_c.h >>$notification
+    maybe_notify_developers_and_exit
+fi
+
+# Java interface
+cd $top_dir/build/interfaces/Java/parma_polyhedra_library
+make source_generation.stamp >MAKELOG.source_generation.stamp 2>&1
+if [ $? -ne 0 ]
+then
+    echo "*** Cannot build source_generation.stamp." >>$notification
+    echo "*** Build log follows:" >>$notification
+    cat MAKELOG.source_generation.stamp >>$notification
+    maybe_notify_developers_and_exit
+fi
+
+# OCaml interface
+cd $top_dir/build/interfaces/OCaml
+make ppl_ocaml.mli >MAKELOG.ppl_ocaml.mli 2>&1
+if [ $? -ne 0 ]
+then
+    echo "*** Cannot build ppl_ocaml.mli." >>$notification
+    echo "*** Build log follows:" >>$notification
+    cat MAKELOG.ppl_ocaml.mli >>$notification
+    maybe_notify_developers_and_exit
+fi
+
+# Prolog interface
+cd $top_dir/build/interfaces/Prolog
+make Prolog_configured_interface.dox \
+    >MAKELOG.Prolog_configured_interface.dox 2>&1
+if [ $? -ne 0 ]
+then
+    echo "*** Cannot build Prolog_configured_interface.dox." >>$notification
+    echo "*** Build log follows:" >>$notification
+    cat MAKELOG.Prolog_configured_interface.dox >>$notification
+    maybe_notify_developers_and_exit
+fi
+## FIXME: there currently is a dependency in doc/Makefile.ac of the
+## Prolog manuals on the two targets below, but I fail to understand
+## why this was required.
+make ppl_prolog_domains.hh >MAKELOG.ppl_prolog_domains.hh 2>&1
+if [ $? -ne 0 ]
+then
+    echo "*** Cannot build ppl_prolog_domains.hh." >>$notification
+    echo "*** Build log follows:" >>$notification
+    cat MAKELOG.ppl_prolog_domains.hh >>$notification
+    maybe_notify_developers_and_exit
+fi
+make ppl_prolog_domains.cc.stamp >MAKELOG.ppl_prolog_domains.cc.stamp 2>&1
+if [ $? -ne 0 ]
+then
+    echo "*** Cannot build ppl_prolog_domains.cc.stamp." >>$notification
+    echo "*** Build log follows:" >>$notification
+    cat MAKELOG.ppl_prolog_domains.cc.stamp >>$notification
+    maybe_notify_developers_and_exit
+fi
 
 # Build the doxygen documentation.
-#cd ../../doc
-cd doc
+cd $top_dir/build/doc
 make world >&MAKELOG.documentation
+if [ $? -ne 0 ]
+then
+    echo "*** Cannot make world." >>$notification
+    echo "*** Build log follows:" >>$notification
+    cat MAKELOG.documentation >>$notification
+    maybe_notify_developers_and_exit
+fi
 
 # Install.
 cp -f *.pdf *.ps.gz *.tar.gz $dest_dir/Documentation/




More information about the PPL-devel mailing list